rpc.mountd(8)

NOM
rpc.mountd - Démon de montage sur serveur NFS

SYNOPSIS
/usr/sbin/rpc.mountd [options]

DESCRIPTION
Le démon rpc.mountd implémente la partie serveur du protocole NFS MOUNT, un protocole annexe à NFS utilisé par les versions 2 [RFC1094] et 3 [RFC1813] de NFS.

Un serveur NFS tient à jour une liste des systèmes de fichiers physiques locaux accessibles aux clients NFS. Chaque système de fichiers de cette liste est appelé système de fichiers partagé, ou alors partage en plus court.

Chaque système de fichiers dans la liste des partages a une liste des contrôles d'accès. rpc.mountd utilise cette liste des contrôles d'accès pour savoir si un client NFS a le droit d'accéder à un système de fichiers donné. Pour plus de détails sur la manière de gérer la liste des partages NFS du serveur, consultez les pages de manuel exports(5) et exportfs(8).

  Monter un système de fichiers NFS partagé
Le protocole NFS MOUNT utilise plusieurs procédures, les principales étant MNT (pour monter un partage) et UMNT (pour démonter un partage).

Une requête MNT a deux arguments : un argument explicite contenant le nom de fichier du répertoire racine du partage à monter et un argument implicite qui est l'adresse IP de l'appelant.

Lors de la réception d'une requête MNT par un client NFS, rpc.mountd vérifie à la fois l'adresse du répertoire et l'adresse IP de l'appelant au regard de la liste de ses partages. Si l'appelant a les droits suffisants pour accéder au partage demandé, rpc.mountd renvoie au client un descripteur de fichier concernant le répertoire racine du partage. Le client peut alors utiliser ce descripteur de fichier ainsi que les requêtes NFS LOOKUP pour parcourir la structure des répertoires du partage.

  Le fichier rmtab
Le démon rpc.mountd enregistre toutes les requêtes MNT réussies par une entrée dans le fichier /var/lib/nfs/mtab. Lors de la réception d'une requête UMNT par un client NFS, rpc.mountd supprime alors simplement l'entrée correspondante dans /var/lib/nfs/mtab, tant que la liste des contrôles d'accès de l'export permet à l'appelant d'accéder au partage.

Les clients peuvent connaître la liste des systèmes de fichier qu'un serveur NFS partage, ou alors la liste des clients qui ont monté ses partages, en utilisant la commande showmount(8). showmount(8) utilise d'autres procédures du protocole NFS MOUNT pour donner des informations sur les systèmes de fichiers partagés par le serveur.

Notez cependant qu'il n'y a que peu de façons de garantir la véracité du contenu de /var/lib/nfs/mtab. Un client peut continuer à accéder à un export après avoir invoqué UMNT. D'autre part, si le client redémarre sans lancer la requête UMNT, des anciennes entrées pour ce client se trouvent toujours dans /var/lib/nfs/mtab.

OPTIONS

-d, --debug mot-clé
    Activer le mode de recherche de bogues. Les mots-clés possibles sont : all, auth, call, general et parse.

-F, --foreground
    Exécution au premier plan (ne s'exécute donc pas comme un démon).

-f, --exports-file
    Cette option indique le fichier « exports » à utiliser. Par défaut, le fichier exploité est /etc/exports. Ce fichier indique, pour chaque ressource, la liste des clients autorisés ainsi que les paramètres de montage. Voir exports(5).

-h, --help
    Afficher le synopsis de rpc-mountd.

-o, --descriptors nombre
    Fixer le nombre maximal (en centaine) de fichiers qu'il est possible d'ouvrir simultanément. Par défaut la limite n'est pas fixée.

-N, --no-nfs-version
    Cette option peut être utilisée pour indiquer que certaines versions de NFS ne sont pas gérées par le serveur. La version actuelle de rpc.mountd implémente les versions 2, 3 et 4. Si l'une ou l'autre de ces versions ne doit pas être disponible, alors rpc.mountd doit être lancé avec l'option --no-nfs-version <vers> .

-n, --no-tcp
    Ne pas annoncer le protocole TCP comme disponible pour le montage.

-P  Ignoré (compatibilité avec unfsd ?).

-p, --port nombre
    Indiquer le numéro de port utilisé pour les tuyaux d'écoute RPC. Si cette option est omise, rpc.mountd essayera de consulter /etc/services, s'il réussi à obtenir un port, il initialisera le même port pour tous les tuyaux d'écoute, sinon il choisira un port aléatoire et éphémère pour chaque tuyaux d'écoute.

    Cette option peut être utilisé pour indiquer le numéro de port sur les écouteurs rpc.mountd quand les requêtes NFS MOUNT doivent traverser un pare-feu entre les clients et les serveurs.

-H, --ha-callout programme
    Indiquer un programme d'appel de haute disponibilité. Ce programme reçoit les appels de toutes les requêtes MOUNT et UNMONT, ce qui permet à rpc.mountd d'être utilisé dans un environnement de haute disponibilité (HA-NFS).

    Le programme d'appel est lancé avec quatre arguments. Le premier est mount ou unmount, en fonction de la raison de l'appel, le deuxième est le nom du client demandant le montage, le troisième est le chemin monté par le client, et le dernier est le nombre estimé de montages déjà existants de ce chemin par ce client.

    Cet appel n'est pas requis par les noyaux supérieurs à 2.6. En lieu et place, il monte le système de fichiers nfsd sur /proc/nfsd.

-s, --state-directory-path répertoire
    Indiquer le répertoire où seront placées les informations sur l'état de statd. Le répertoire par défaut est /var/lib/nfs.

-r, --reverse-lookup
    rpc.mountd recherche les adresses IP dans rmtab, et lorsqu'une requête DUMP est effectuée (si quelqu'un lance showmount -a, par exemple), ce sont les adresses IP qui sont renvoyées plutôt que les noms d'hôtes par défaut. L'activation de cette option force rpc.mountd à effectuer une recherche inverse sur chaque adresse IP et à renvoyer le nom d'hôte. Cela peut entraîner une dégradation importante des performances selon les cas de figure.

-t nombre, --num-threads=nombre
    Cette option indique le nombre de processus (« threads ») engendrés par rpc-mountd. La valeur par défaut est d'un seul processus, ce qui est le plus souvent suffisant. Augmenter le nombre de processus n'est, en principe, nécessaire que lorsque le serveur est submergé par des centaines de requêtes de montage NFS en quelques secondes, ou lorsque votre serveur DNS est lent ou non fiable.

-V, --nfs-version nombre
    Cette option permet d'indiquer au serveur la version de NFS qu'il doit prendre en charge. La version actuelle de rpc.mountd peut gérer les versions 2 et 3.

-v, --version
    Afficher la version de rpc.mountd puis terminer.

-g, --manage-gids
    Accepter des requêtes du noyau pour assigner des identifiants numériques d'utilisateurs dans une liste d'identifiants numériques de groupes dans le but de gérer les contrôles d'accès. Une requête NFS contient habituellement (sauf lors de l'utilisation de Kerberos ou d'un autre système d'authentification chiffré) un identifiant d'utilisateur et une liste d'identifiants de groupe. 16 groupes au maximum peuvent être listés, à cause de restrictions du protocole NFS. En cas d'utilisation du drapeau -g, la liste des identifiants de groupes reçue du client sera remplacée par une liste d'identifiants de groupes déterminée par une recherche appropriée sur le serveur. Notez que le groupe « primaire » n'est pas modifié ce qui permet à la commande newgroup de toujours fonctionner sur le client. Cette fonction impose une version du noyau supérieure ou égale à 2.6.21.

GESTION DE TCP_WRAPPERS
Vous pouvez protéger vos logiciels écoutant rpc.mountd en utilisant la bibliothèque tcp_wrapper ou iptables(8).

Sachez que la bibliothèque tcp_wrapper ne prend en charge que les réseaux IPv4.

Ajouter les noms d'hôtes des pairs NFS qui sont autorisés à accéder à rpc.mountd dans /etc/hosts.allow. Employer mountd comme nom de démon même si le binaire rpc.mountd porte un autre nom.

Les noms d'hôtes utilisés dans l'un des fichiers d'accès seront ignorés s'ils ne peuvent être convertis en adresses IP. Consultez les pages de manuel tcpd(8) et hosts_access(5) pour obtenir plus de renseignements.

  Prise en charge d'IPv6 et TI-RPC
TI-RPC est nécessaire pour la prise en charge d'IPv6 par NFS. Si la prise en charge TI-RPC est incluse dans rpc.mountd, il essaye de démarrer l'écoute sur les transports réseaux marqués comme « visible » dans le fichier /etc/netconfig. Tant que l'écouteur de transport démarre sans erreur, rpc.mountd fonctionnera.

FICHIERS

/etc/exports
    Fichier d'entrée pour exportfs, avec la liste des partages, de leurs options et la liste des contrôles d'accès.

/var/lib/nfs/rmtab
    Liste des clients se connectant aux partages du serveur.

VOIR AUSSI
exportfs(8), exports(5), showmount(8), rpc.nfsd(8), rpc.rquotad(8), nfs(5), tcpd(8), hosts_access(5), iptables(8), netconfig(5)

RFC 1094 - « NFS : Network File System Protocol Specification »
RRFC 1813 - « NFS Version 3 Protocol Specification »

AUTEUR
Olaf Kirch, H. J. Lu, G. Allan Morris III et plein d'autres.

TRADUCTION
Cette page de manuel a été traduite par Philippe Lefebvre en 2003. La version présente dans Debian est maintenue par Sylvain Cherrier <sylvain DOT cherrier AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.